{% extends 'empresa/empresa_list.html' %}
{% block title %} {{ titulo }} {% endblock title %}


{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                GDC | SDLC
                <small> {{ titulo }} - {{ sub_titulo }} {{ annio }}</small>
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            {% if get_messages(request) %}
                {% for message in get_messages(request) %}
                    <div class="alert alert-{{ message.tags }} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        {% if message.tags == 'error' %}
                            <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                        {% elif message.tags == 'warning' %}
                            <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                        {% elif message.tags == 'success' %}
                            <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                        {% elif message.tags == 'info' %}
                            <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                        {% endif %}
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}

            <div class="row">
                <div class="col-md-3">
                    <div class="box box-info">
                        <div class="box-header with-border">
                          <h3 class="box-title">{{ sub_titulo }} {{ annio }}</h3>
            
                          <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                            </button>
                          </div>
                        </div>
                        <div class="box-body">
                          <table class="table">
                            
                            <tr>
                                <th>Mes de mayor concurrencia</th><td class="text-center">{{ mes }}</td>
                            </tr>
                            <tr>
                                <th>Total de inscripciones en </th> <td class="text-center">{{ estadistica.cantidad }}</td>
                            </tr>
                            
                          </table>
                        </div>
                        <!-- /.box-body -->
                      </div>
                </div>

                <div class="col-md-9">
                    <div class="box box-info">
                        <div class="box-header with-border">
                          <h3 class="box-title">{{ titulo }} en  {{ annio }}</h3>
            
                          <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                            </button>
                         </div>
                        </div>
                        <div class="box-body">
                          <div class="chart">
                            <canvas id="barChart" style="height:330px"></canvas>
                          </div>
                        </div>
                        <!-- /.box-body -->
                      </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <div class="box-header">
                            <h4 class="pull-left">
                                Ultimas 5 empresas registradas en {{ annio }}
                            </h4>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                                <table id="example" class="table table-bordered table-striped">
                                    <thead>
                                    <tr>
                                        <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                        <th class="text-center"><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Nombre Comercial</th>
                                        <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                        <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; Representantes Legales</th>

                                        <th class="text-center">Acciones</th>
                                        
                                    </tr>
                                    </thead>
                                    <tbody>
                                        {% for empre in empresas %}
                                        <tr>
                                            <td>{% filter upper %} {{ empre.razon_social }}  {% endfilter %}</td>
                                            <td class="text-center">{% filter upper %} {{ empre.nombre_comercial }} {% endfilter %}</td>
                                            <td class="text-center">{{ empre.nro_rif }} </td>
                                            <td class="text-center">
                                                {% for duennio in empre.representante_legal.all() %}
                                                {{ duennio.persona.get_short_name }} <br>
                                                {% endfor %}
                                            </td>
                                            <td class="text-center">

                                                <a title="Expediente de " onclick="return abrir_modal('{{ url('empresa:modal_detalle_empresa', args=[empre.id]) }}')" class="btn btn-default btn-xs"><i class="fa fa-eye"></i></a>

                                            </td>
                                        </tr>
                                        {% endfor %}
                                    </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Razón Social</th>
                                        <th class="text-center">Nombre Comercial</th>
                                        <th class="text-center">RIF</th>
                                        <th class="text-center">Propietarios</th>
                                        <th class="text-center">Acciones</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
                <!-- /.row -->

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}   
    <script src="{{ static('bower_components/chart.js/Chart.js') }}"></script>

    <script>
        $(function () {
          /* ChartJS
           * -------
           * Here we will create a few charts using ChartJS
           */
      
          //--------------
          //- AREA CHART -
          //--------------
      
          // Get context with jQuery - using jQuery's .get() method.
          var barChartCanvas = $('#barChart').get(0).getContext('2d')
          // This will get the first returned node in the jQuery collection.
          var barChart       = new Chart(barChartCanvas)
      
          var barChartData = {
            labels  : ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
            datasets: [
              {
                label               : 'Electronics',
                fillColor           : 'rgba( 12, 190, 152, 1)',
                strokeColor         : 'rgba( 12, 190, 152, 1)',
                pointColor          : 'rgba( 12, 190, 152, 1)',
                pointStrokeColor    : '#c1c7d1',
                pointHighlightFill  : '#fff',
                pointHighlightStroke: 'rgba( 12, 190, 152, 1)',
                data                : {{ datos_pasados }}
              },
              {
                label               : 'Digital Goods',
                fillColor           : 'rgba(185,28,28,1)',
                strokeColor         : 'rgba(185,28,28,1)',
                pointColor          : 'rgba(185,28,28,1)',
                pointStrokeColor    : 'rgba(185,28,28,1)',
                pointHighlightFill  : '#fff',
                pointHighlightStroke: 'rgba(185,28,28,1)',
                data                : {{ datos_actuales }}
              }
            ]
          }
      
         
          //-------------
          //- BAR CHART -
          //-------------
          var barChartCanvas                   = $('#barChart').get(0).getContext('2d')
          var barChart                         = new Chart(barChartCanvas)
          var barChartData                     = barChartData
          barChartData.datasets[1].fillColor   = 'rgba(243, 26, 44, 0.8)'
          barChartData.datasets[1].strokeColor = 'rgba(243, 26, 44, 0.8)'
          barChartData.datasets[1].pointColor  = 'rgba(243, 26, 44, 0.8)'
          var barChartOptions                  = {
            //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
            scaleBeginAtZero        : true,
            //Boolean - Whether grid lines are shown across the chart
            scaleShowGridLines      : true,
            //String - Colour of the grid lines
            scaleGridLineColor      : 'rgba(0,0,0,.05)',
            //Number - Width of the grid lines
            scaleGridLineWidth      : 1,
            //Boolean - Whether to show horizontal lines (except X axis)
            scaleShowHorizontalLines: true,
            //Boolean - Whether to show vertical lines (except Y axis)
            scaleShowVerticalLines  : true,
            //Boolean - If there is a stroke on each bar
            barShowStroke           : true,
            //Number - Pixel width of the bar stroke
            barStrokeWidth          : 2,
            //Number - Spacing between each of the X value sets
            barValueSpacing         : 5,
            //Number - Spacing between data sets within X values
            barDatasetSpacing       : 1,
            //String - A legend template
             //Boolean - whether to make the chart responsive
            responsive              : true,
            maintainAspectRatio     : true
          }
      
          barChartOptions.datasetFill = false
          barChart.Bar(barChartData, barChartOptions)
        })
      </script>

{% endblock javascripts %}